<!--wrapper-wrap heightAdjust start -->
<div class="wrapper-wrap heightAdjust">
    <div class="row">
        <fieldset data-ng-disabled="formSubmittedSuccessfully">
            <div class="col-sm-12">
                <h3>{{'LANG_PROF_MSG' | translate}}</h3>
            </div>
            <div class="col-md-12 paddingtb20">
                <div class="col-md-2 langLabel">
                    <label>Language</label>
                </div>
                <div class="col-md-3">
                    <select name="language" data-ng-model="languageInForm.language" data-ng-change="languageSelected()" class="form-control form-input">
                        <option value="">{{'SELECT' | translate}}</option>
                        <option value="Arabic">Arabic</option>
                        <option value="English">English</option>
                        <option value="Other">Other</option>
                    </select>
                </div>
                <div class="col-md-3" data-ng-if="showLanguageDropdown">
                    <input type="text" name="otherLanguage" data-ng-model="languageInForm.otherLanguage" class="form-control form-input"></input>
                </div>
            </div>
            <div class="col-md-12">
                <fieldset class="fieldSetStyle">
                    <legend class="legendStyle">Proficiency</legend>
                    <div class="col-md-2">
                        <div class="width100 form-group paddingl40 padTopReading paddingtb20">
                            <div class="checkbox">
                                <label>
                                    <input type="checkbox" data-ng-click="readingLanguageChange()" data-ng-model="languageInForm.readingLang">
                                </label>
                            </div>
                            <label class="leftSpacing">Reading</label>
                        </div>
                        <div class="width100 form-group paddingl40 padTopWriting paddingtb20">
                            <div class="checkbox">
                                <label>
                                    <input type="checkbox" data-ng-click="writingLanguageChange()" data-ng-model="languageInForm.writingLang">
                                </label>
                            </div>
                            <label class="leftSpacing">Writing</label>
                        </div>
                        <div class="width100 form-group paddingl40 padTopSpeaking paddingtb20">
                            <div class="checkbox">
                                <label>
                                    <input type="checkbox" data-ng-click="speakingLanguageChange()" data-ng-model="languageInForm.speakingLang">
                                </label>
                            </div>
                            <label class="leftSpacing">Speaking</label>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="width100 form-group paddingl40 paddingtb20">
                            <select name="readingProficiencylevel" data-ng-model="languageInForm.readingProficiencylevel" data-ng-disabled="showReadingDropdown" class="form-control form-input">
                                <option value="">{{'SELECT' | translate}}</option>
                                <option value="Excellent">{{'EXCELLENT' | translate}}</option>
                                <option value="Very Good">{{'VERY_GOOD' | translate}}</option>
                                <option value="Good">{{'GOOD' | translate}}</option>
                                <option value="Acceptable">{{'ACCEPTABLE' | translate}}</option>
                            </select>
                        </div>
                        <div class="width100 form-group paddingl40 paddingtb20">
                            <select name="writingProficiencylevel" data-ng-model="languageInForm.writingProficiencylevel" data-ng-disabled="showWritingDropdown" class="form-control form-input">
                                <option value="">{{'SELECT' | translate}}</option>
                                <option value="Excellent">{{'EXCELLENT' | translate}}</option>
                                <option value="Very Good">{{'VERY_GOOD' | translate}}</option>
                                <option value="Good">{{'GOOD' | translate}}</option>
                                <option value="Acceptable">{{'ACCEPTABLE' | translate}}</option>
                            </select>
                        </div>
                        <div class="width100 form-group paddingl40 paddingtb20">
                            <select name="speakingProficiencylevel" data-ng-model="languageInForm.speakingProficiencylevel" data-ng-disabled="showSpeakingDropdown" class="form-control form-input">
                                <option value="">{{'SELECT' | translate}}</option>
                                <option value="Excellent">{{'EXCELLENT' | translate}}</option>
                                <option value="Very Good">{{'VERY_GOOD' | translate}}</option>
                                <option value="Good">{{'GOOD' | translate}}</option>
                                <option value="Acceptable">{{'ACCEPTABLE' | translate}}</option>
                            </select>
                        </div>
                    </div>
                </fieldset>
            </div>
            <div class="col-sm-4 col-sm-offset-8">
                <div class="button-wrap text-right alignBtn">
                    <button type="button" data-ng-click="sendLanguageFormData()" class="blue-btn ng-binding ng-scope">Save</button>
                </div>
            </div>
        </fieldset>
        <fieldset data-ng-if="data.language.length > 0" data-ng-disabled="1">
            <div class="col-sm-12">
                <div class="table-responsive">
                    <table class="table table-red table-bordered">
                        <thead>
                            <tr>
                                <td width="22%">{{'LANGUAGE' | translate}}</td>
                                <td width="22%">{{'READING' | translate}}</td>
                                <td width="22%">{{'WRITING' | translate}}</td>
                                <td width="22%">{{'SPEAKING' | translate}}</td>
                                <td width="12%">{{'DELETE' | translate}}</td>
                            </tr>
                        </thead>
                        <tbody>
                            <tr data-ng-repeat="row in data.language">
                                <td>{{row.language}}</td>
                                <td class="alignCheckbox">{{row.readingProficiencylevel}}</td>
                                <td class="alignCheckbox">{{row.writingProficiencylevel}}</td>
                                <td class="alignCheckbox">{{row.speakingProficiencylevel}}</td>
                                <td class="text-center">
                                    <i class="glyphicon glyphicon-remove-sign fa-2x" data-ng-click="deleteRow($index, 'language')"></i>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <p>{{'UNPOPULATED_MSG' | translate}}</p>
                </div>
            </div>
        </fieldset>
    </div>
    <!--wrapper-wrap heightAdjust end -->
    <div class="clear"></div>
</div>